package com.mvc.entity;

import java.util.Date;

public class TAppComlog {
    private Integer id;

    private String deviceSn;

    private String stationCode;

    private String appLoginId;

    private String memo;

    private Date createTime;

    private String logType;

    private String fileName;

    private Date sampleTime;

    private String logFrom;

    private String mcuLogLevel;

    private String aiLogLevel;

    private String rawComLog;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getAppLoginId() {
        return appLoginId;
    }

    public void setAppLoginId(String appLoginId) {
        this.appLoginId = appLoginId == null ? null : appLoginId.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getLogType() {
        return logType;
    }

    public void setLogType(String logType) {
        this.logType = logType == null ? null : logType.trim();
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName == null ? null : fileName.trim();
    }

    public Date getSampleTime() {
        return sampleTime;
    }

    public void setSampleTime(Date sampleTime) {
        this.sampleTime = sampleTime;
    }

    public String getLogFrom() {
        return logFrom;
    }

    public void setLogFrom(String logFrom) {
        this.logFrom = logFrom == null ? null : logFrom.trim();
    }

    public String getMcuLogLevel() {
        return mcuLogLevel;
    }

    public void setMcuLogLevel(String mcuLogLevel) {
        this.mcuLogLevel = mcuLogLevel == null ? null : mcuLogLevel.trim();
    }

    public String getAiLogLevel() {
        return aiLogLevel;
    }

    public void setAiLogLevel(String aiLogLevel) {
        this.aiLogLevel = aiLogLevel == null ? null : aiLogLevel.trim();
    }

    public String getRawComLog() {
        return rawComLog;
    }

    public void setRawComLog(String rawComLog) {
        this.rawComLog = rawComLog == null ? null : rawComLog.trim();
    }
}